[stunnel-users] Openssl-1.0.0 incompatibility

Carter Browne cbrowne at cbcs-usa.com
Thu Apr 1 21:15:55 CEST 2010

Is there any update on the compatibility issues between openssl-0.9.8n
and openssl-1.0.0?  The same configuration file was used in both cases.
Linux CentOS 5.4 and SuSE 11.1.  Stunnel and openssl both built from
sources.  I have a number of self-signed certificates in a
sub-directory.  With openssl-1.0.0, the error is:

VERIFY ERROR: depth=0, error= self signed certificate:...

SSL_accept:  140890B2: error:140890B2:SSL
routines:SSL3_GET_CLIENT_CERTIFICATE:no certificate returned

With openssl-0.9.8n

VERIFY OK: depth=0, ...

I have compiled and linked a version of openssh-5.4p1 from sources with
openssl-1.0.0 and it works correctly.



Carter Browne
cbrowne at cbcs-usa.com

More information about the stunnel-users mailing list